Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77728 - kudzu-0.99.75.1-1.src.rpm needs dietlibc as prereq?
Summary: kudzu-0.99.75.1-1.src.rpm needs dietlibc as prereq?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kudzu
Version: 1.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-12 19:02 UTC by Ken MacFarlane
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-30 05:47:24 UTC


Attachments (Terms of Use)

Description Ken MacFarlane 2002-11-12 19:02:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020911

Description of problem:
The kudzu source RPM (0.99.75.1-1) will not build unless dietlibc RPM is installed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -e dietlibc
2. rpmbuild --rebuild kudzu-0.99.75.1-1.src.rpm


Actual Results:  (truncated)

cc -c -O2 -march=i386 -mcpu=i686 -I. -Wall -D_GNU_SOURCE -g
-DVERSION=\"0.99.75.1\" -fpic -o firewire.o firewire.c
firewire.c: In function `firewireProbe':
firewire.c:91: warning: suggest parentheses around assignment used as truth value
ar cr libkudzu.a kudzu.o modules.o pci.o serial.o ide.o misc.o scsi.o parallel.o
psaux.o usb.o sbus.o keyboard.o ddc.o pciserial.o isapnp.o
firewire.o ./ddcprobe/lrmi.o ./ddcprobe/vesamode.o ./ddcprobe/vbe.o
ranlib libkudzu.a
diet cc -c -O2 -march=i386 -mcpu=i686 -I. -Wall -D_GNU_SOURCE -g
-DVERSION=\"0.99.75.1\" -D__LOADER__ -o kudzu_loader.do kudzu.c
make: diet: Command not found
make: *** [kudzu_loader.do] Error 127
error: Bad exit status from /var/tmp/rpm-tmp.27881 (%build)


Expected Results:  package builds successfully

Additional info:

Comment 1 Bill Nottingham 2002-11-12 19:17:58 UTC
Yeah, the i386 version needs diet.

Comment 2 Bill Nottingham 2003-01-30 05:47:24 UTC
Fixed in 0.99.92-1.


Note You need to log in before you can comment on or make changes to this bug.